[CentOS7][Nginx][PHP]7.3をインストール

WordPressで推奨されるPHPのバージョンが7.3以上だったので重い腰を上げてバージョンアップをした。

PHPを全部削除

yum remove php*

7.3をインストール

yum -y --enablerepo=remi-php73,epel install php-fpm php-gd php-gmp php-mbstring php-mcrypt php-opcache php-pdo php-pear-MDB2-Driver-mysqli php-pecl-memcached php-pecl-msgpack php-xml

実行ユーザーがデフォルトだとapacheなのでnginxへ変更

vim /etc/php-fpm.d/www.conf
-user = apache
+user = nginx

-group = apache
+group = nginx

php-fpmを再起動および、バージョンの確認

systemctl restart php-fpm
php -v

ここまでで問題なければ終了。

コメントを残す

メールアドレスが公開されることはありません。